
QGIS Application - Bug report #51

Open file and view by extension

2006-04-04 04:40 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10110

Description

1)Select Open Raster or Vector

2)Go in a folder with only one kind of file (for example .shp)

3)File are correctly showned

4)Change the file type (example [[MapInfo]] file)

5)Switch back to the type of file in point 2

6)No file is showned

The same happen with raster file.

History

#1 - 2006-04-07 10:54 PM - Gavin Macaulay -

What version of Qt are you using? It works for me with Qt 4.1.1

#2 - 2006-04-09 05:26 AM - balazovic-mailbox-sk -

I've observed similar issue with a little bit different steps:

1. Select Add Raster or Vector

2. Change File filter to All files (*.*)

3. Select and open some file

4. Select Add Raster or Vector

5. File filter is set to All files (*.*) but there are displayed only files of (previous) filter.

Compiled against Qt 4.1.0

#3 - 2006-04-18 08:45 AM - Luca -

2025-04-27 1/2



Using QT 4.1.2

#4 - 2006-04-21 05:30 AM - Redmine Admin

It's getting worse - in QGIS compiled against Qt 4.1.2 even directories are sometimes not listed :-(

#5 - 2006-04-26 03:25 AM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

This is a bug in Qt 4.1.1 and 4.1.2 (see http://www.trolltech.com/developer/tasktracker.html?method=entry&#38;id=106783).

It will be fixed in Qt 4.1.3 (or so it says on the above page).

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
http://www.trolltech.com/developer/tasktracker.html?method=entry&#38;id=106783

